Show / Hide Table of Contents

# Class VectorExtensions

Extension methods for System.Numerics.VectorN and SharpDX.VectorN.

##### Inheritance

System.Object
VectorExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Utility

###### Assembly: Dalamud.dll

##### Syntax

    public static class VectorExtensions

### Methods

| Improve this Doc View Source

#### ToSharpDX(Vector2)

Converts a System.Numerics vector to SharpDX.

##### Declaration

    public static Vector2 ToSharpDX(this Vector2 vec)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | vec | Vector to convert.

##### Returns

Type | Description
--- | ---
SharpDX.Vector2 | A converted vector.

| Improve this Doc View Source

#### ToSharpDX(Vector3)

Converts a System.Numerics vector to SharpDX.

##### Declaration

    public static Vector3 ToSharpDX(this Vector3 vec)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector3 | vec | Vector to convert.

##### Returns

Type | Description
--- | ---
SharpDX.Vector3 | A converted vector.

| Improve this Doc View Source

#### ToSharpDX(Vector4)

Converts a System.Numerics vector to SharpDX.

##### Declaration

    public static Vector4 ToSharpDX(this Vector4 vec)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | vec | Vector to convert.

##### Returns

Type | Description
--- | ---
SharpDX.Vector4 | A converted vector.

| Improve this Doc View Source

#### ToSystem(Vector2)

Converts a SharpDX vector to System.Numerics.

##### Declaration

    public static Vector2 ToSystem(this Vector2 vec)

##### Parameters

Type | Name | Description
--- | --- | ---
SharpDX.Vector2 | vec | Vector to convert.

##### Returns

Type | Description
--- | ---
System.Numerics.Vector2 | A converted vector.

| Improve this Doc View Source

#### ToSystem(Vector3)

Converts a SharpDX vector to System.Numerics.

##### Declaration

    public static Vector3 ToSystem(this Vector3 vec)

##### Parameters

Type | Name | Description
--- | --- | ---
SharpDX.Vector3 | vec | Vector to convert.

##### Returns

Type | Description
--- | ---
System.Numerics.Vector3 | A converted vector.

| Improve this Doc View Source

#### ToSystem(Vector4)

Converts a SharpDX vector to System.Numerics.

##### Declaration

    public static Vector4 ToSystem(this Vector4 vec)

##### Parameters

Type | Name | Description
--- | --- | ---
SharpDX.Vector4 | vec | Vector to convert.

##### Returns

Type | Description
--- | ---
System.Numerics.Vector4 | A converted vector.